summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Dan-Simon Myrland2017-03-24 18:12:41 +0100
committer David Spencer2017-03-25 01:07:32 +0100
commite21154dd841b345c37994c9ef01b98e6e4ec261f (patch)
tree84fa658b4e7e811fae65c6fa3876537391f8ac01
parentfad44542f2c80462e9ccac5a193b43b0880f1b4f (diff)
downloadslackbuilds-e21154dd841b345c37994c9ef01b98e6e4ec261f.tar.gz
games/braincurses: Added (ncurses mastermind game).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--games/braincurses/README8
-rw-r--r--games/braincurses/braincurses.SlackBuild66
-rw-r--r--games/braincurses/braincurses.info10
-rw-r--r--games/braincurses/slack-desc19
4 files changed, 103 insertions, 0 deletions
diff --git a/games/braincurses/README b/games/braincurses/README
new file mode 100644
index 0000000000..02dea37d6a
--- /dev/null
+++ b/games/braincurses/README
@@ -0,0 +1,8 @@
+The object of the mastermind game is to guess the correct colors
+in the correct order. Wikipedia has more details about game play,
+the history of the game, and Donald Knuth's algorithm for solving
+in under five steps:
+
+https://en.wikipedia.org/wiki/Mastermind_(board_game)
+
+Braincurses is a ncurses implementation of this board game.
diff --git a/games/braincurses/braincurses.SlackBuild b/games/braincurses/braincurses.SlackBuild
new file mode 100644
index 0000000000..0aa40a0e59
--- /dev/null
+++ b/games/braincurses/braincurses.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+# Slackware build script for braincurses
+# Written by Dan-Simon Myrland <dansimon@radiotube.org>
+
+PRGNAM=braincurses
+VERSION=${VERSION:-0.5c}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS"
+
+mkdir -p $PKG/usr/games
+cp -a $PRGNAM $PKG/usr/games
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog INSTALL README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/braincurses/braincurses.info b/games/braincurses/braincurses.info
new file mode 100644
index 0000000000..f4ea07bc4b
--- /dev/null
+++ b/games/braincurses/braincurses.info
@@ -0,0 +1,10 @@
+PRGNAM="braincurses"
+VERSION="0.5c"
+HOMEPAGE="https://github.com/bderrly/braincurses"
+DOWNLOAD="https://downloads.sourceforge.net/project/braincurses/braincurses/braincurses-0.5c.tar.bz2"
+MD5SUM="fd9d2adb999e5ea2b2eeb8976a5afacf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dan-Simon Myrland"
+EMAIL="dansimon@radiotube.org"
diff --git a/games/braincurses/slack-desc b/games/braincurses/slack-desc
new file mode 100644
index 0000000000..92d1cadf77
--- /dev/null
+++ b/games/braincurses/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+braincurses: braincurses (ncurses mastermind game)
+braincurses:
+braincurses: The object of the mastermind game is to guess the correct colors
+braincurses: in the correct order. Wikipedia has more details about game play,
+braincurses: the history of the game, and Donald Knuth's algorithm for solving
+braincurses: in under five steps:
+braincurses:
+braincurses: https://en.wikipedia.org/wiki/Mastermind_(board_game)
+braincurses:
+braincurses: Braincurses is a ncurses implementation of this board game.
+braincurses: